Skip to content

getCategoryChildren.v1

POST
/shopgate.catalog.getCategoryChildren.v1

This pipeline will retrieve the sub-categories of one specific category.

Media typeapplication/json
object
categoryId
required

The categoryId for which you want to retrieve children

string
sort

How to sort the result, if you use relevance the merchants shopsystem or import will decide the order

string
default: relevance
Allowed values: nameAsc nameDesc relevance

Successful response.

Media typeapplication/json
object
categories
Array<object>

Describes a category

object
id
required

The category-number or unique id inside this specific shop

string
name
required

The display-name of this category

string
productCount
required

Combined number of prodcts in the current and all subcategories

integer format: int32
imageUrl
required

The category-image

string
childrenCount

It is the number of direct sub categories

integer format: int32
Example
{
"categories": [
{
"id": "cat41",
"name": "Category 41",
"productCount": 229,
"imageUrl": "http://shopgate.cdn/category41.png"
}
]
}